Bug 196336 - security/py-fail2ban: Support Python 3
Summary: security/py-fail2ban: Support Python 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-12-28 20:42 UTC by Kevin Zheng
Modified: 2015-03-16 17:02 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Patch to support Python 3 (1005 bytes, patch)
2014-12-28 20:42 UTC, Kevin Zheng
koobs: maintainer-approval+
Details | Diff
Poudriere build log (50.16 KB, text/x-log)
2014-12-28 20:42 UTC, Kevin Zheng
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2014-12-28 20:42:29 UTC
Created attachment 151045 [details]
Patch to support Python 3

Upstream claims Python 3 support since 0.9 branch, so add Python 3 support. Take this opportunity to pet portlint.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-28 20:42:29 UTC
Maintainer CC'd
Comment 2 Kevin Zheng 2014-12-28 20:42:55 UTC
Created attachment 151046 [details]
Poudriere build log
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-29 03:54:43 UTC
Does this need a PORTREVISION bump due to pkg-plist (py3kplist) changes?
Comment 4 theis 2014-12-29 12:24:31 UTC
The patch Looks OK for me but portlint has to wait to be petted until after the Holiday season :)

No need to bump PORTREVISION: IMHO we need py3kplist only to Support Python3, the current port with Python2 remains unaffected.
Comment 5 commit-hook freebsd_committer 2015-03-16 17:00:20 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Mar 16 17:00:06 UTC 2015
New revision: 381426
URL: https://svnweb.freebsd.org/changeset/ports/381426

Log:
  - Fix build with python3*
  - Do not silence installation message

  PR:		196336
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>
  Approved by:	<theis@gmx.at> (maintainer)

Changes:
  head/security/py-fail2ban/Makefile
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-03-16 17:02:19 UTC
Committed. Thanks!